Project

General

Profile

Feature #11356

Add ECDH support to OpenSSL wrapper

Added by tenderlovemaking (Aaron Patterson) about 5 years ago. Updated about 5 years ago.

Status:
Closed
Priority:
Normal
Assignee:
-
Target version:
-
[ruby-core:69986]

Description

FireFox wants to use ECDH on HTTP/2 connections, and there is no way to add it to the SSL context. This patch adds an ECDH callback (similar to the DH callback).

With this patch and #9390, I am able to get an HTTP/2 server running in Chrome and FireFox! :)


Files

0001-add-ecdh-support.patch (6.81 KB) 0001-add-ecdh-support.patch tenderlovemaking (Aaron Patterson), 07/15/2015 09:10 PM
0001-add-ecdh-support.patch (6.78 KB) 0001-add-ecdh-support.patch tenderlovemaking (Aaron Patterson), 07/17/2015 03:08 PM

Related issues

Related to Ruby master - Bug #10497: OpenSSL Servers Do Not Support EC CertificatesClosedopensslActions
Related to Ruby master - Bug #11739: OpenSSL::SSL::SSLServer doesn't negotiate ECDHE-* ciphersuitesRejectedopensslActions

Also available in: Atom PDF